Bug 402521 - Errors compiling boost::type_traits
Errors compiling boost::type_traits
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
http://koji.fedoraproject.org/koji/ge...
: Reopened
Depends On:
Blocks: 402661
  Show dependency treegraph
 
Reported: 2007-11-28 05:57 EST by Braden McDaniel
Modified: 2007-12-12 15:33 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1.2-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 15:33:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2007-11-28 05:57:02 EST
Description of problem:
Some change in 4.1.2-34 seems to cause problems with use of boost::type_traits. The build log at the 
given URL shows errors of the form "error: static data member 'blah' used, but not defined", where 'blah' 
tends to be something from boost::type_traits.


Version-Release number of selected component (if applicable):
4.1.2-34
Comment 1 Jakub Jelinek 2007-12-03 04:56:59 EST
Please retry with gcc-4.1.2-35.
Comment 2 Hans de Goede 2007-12-03 07:57:56 EST
I believe bug 408011 is a dup of this, and for me / for bug 408011 -35 fixes this.
Comment 3 Braden McDaniel 2007-12-05 00:29:16 EST
I'm still seeing this here:

http://koji.fedoraproject.org/koji/getfile?taskID=275216&name=build.log
Comment 4 Jakub Jelinek 2007-12-12 15:33:51 EST
The PR34094 diagnostics has been reverted in 4.1.2-36 (and on the trunk too).

Note You need to log in before you can comment on or make changes to this bug.